=== debian/changelog ===
libjpeg-turbo (1.1.90+svn702-0ubuntu1) oneiric; urgency=low

  * Initial Release based on svn 702
  * Initial Release and packaging based on svn 702 (LP: #852207)

 -- Tom Gall <tom.gall@linaro.org>  Tue, 13 Sep 2011 03:53:56 +0000
