=== debian/control ===
Source: libjpeg-turbo
Priority: optional
Section: graphics
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Uploaders: Tom Gall <tom.gall@linaro.org>
Build-Depends: debhelper (>= 8.1.3), dh-autoreconf, nasm [amd64 i386]
Standards-Version: 3.9.1
Vcs-Bzr: lp:libjpeg-turbo
Homepage: http://libjpeg-turbo.virtualgl.org/

Package: libjpeg-turbo62
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: dpkg-dev, ${misc:Pre-Depends}
Replaces: libjpeg62
Provides: libjpeg62
Description: Runtime library supporting the Independent JPEG Group's 
 standard for JPEG files.
 .
 This package contains the shared library which is a drop in 
 replacement for libjpeg 62, which has better performance than
 standard libjpeg by use of SIMD and other optimizations.

Package: libjpeg-turbo-progs
Architecture: any
Description: Programs for manipulating JPEG files
 This package contains programs for manipulating JPEG files:
  cjpeg/djpeg: convert to/from the JPEG file format
  rdjpgcom/wrjpgcom: read/write comments in JPEG files
  jpegtran: lossless transformations of JPEG files
  tjbench: a simple JPEG benchmarking tool
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: libjpeg-progs, dpkg-dev, ${misc:Pre-Depends}
