## libjpeg-turbo 1.1.90+svn733

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 cmake_minimum_required(VERSION 2.6)
 
 project(libjpeg-turbo C)
-set(VERSION 1.1.90)
+set(VERSION 1.2.0)
 
 if(MINGW OR CYGWIN)
   execute_process(COMMAND "date" "+%Y%m%d" OUTPUT_VARIABLE BUILD)
@@ -201,7 +201,7 @@
 
 add_executable(tjbench tjbench.c bmp.c tjutil.c rdbmp.c rdppm.c wrbmp.c
   wrppm.c)
-target_link_libraries(tjbench turbojpeg jpeg)
+target_link_libraries(tjbench turbojpeg jpeg-static)
 set_property(TARGET tjbench PROPERTY COMPILE_FLAGS
   "-DBMP_SUPPORTED -DPPM_SUPPORTED")
