=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,8 @@
 DEB_BUILD_GNU_TYPE	?= $(call vafilt,$(DPKG_VARS),DEB_BUILD_GNU_TYPE)
 DEB_HOST_GNU_TYPE	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_GNU_TYPE)
 DEB_HOST_MULTIARCH	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_MULTIARCH)
+
+export DEB_LDFLAGS_MAINT_STRIP=-Wl,-Bsymbolic-functions
 
 CFLAGS ?= $(shell dpkg-buildflags --get CFLAGS)
 ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
